Subject: bug#55370: [PATCH] Add support for the Syloti Nagri script

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 May 2022 17:01:04 +0300

> From: समीर सिंह Sameer Singh <[email-masked]>
> Date: Thu, 12 May 2022 19:12:09 +0530
> Cc: [email-masked]
> 
> I have noticed that when there is no nasal sign in the range of the set-char-table-range function, it is rendered
> correctly when alone with a consonant or an independent vowel.
> But when it is added to the range, it is not displayed correctly, until and unless a composition rule is added
> for it.

Example of text that doesn't render correctly?

> Sometimes for scripts like Syloti Nagri, Sharada and Kaithi these signs are not in a contiguous range with
> virama and vowel signs (they are far away)
> So when I add them to the range, Emacs starts to hang. (Maybe because the range is too big, or there are
> unnecessary symbols like consonants there)
> This is why I had decided to not include them, because they were still rendering fine.
> 
> So should I leave them as it is, or make another set-char-table-range that includes only them?

I cannot say, because I don't think I understand the issue.  In
particular, Emacs should never hang due to this stuff.

So my suggestion is to debug this and figure out why it hangs.  Maybe
begin by posting the composition rules that you tried originally, and
let's take it from there.

>  Similarly here: this rule will never match if 'vowel' isn't present,
>  because the second character of the matching sequence _must_ be a
>  vowel, since that is what triggers the composition rule in the first
>  place.  Am I missing something?
> 
> Here too since consonant vowel nasal was not rendering I added the rule, maybe I should remove the "?"
> after vowel.
> (consonant nasal was rendering fine) 

I don't think I understand this part, either.  Please elaborate.